SplFileInfo::getBasename
SplFileInfo::getFileInfo
SplFileInfo
PHP Manual

# SplFileInfo::getCTime

(PHP 5 >= 5.1.2)

SplFileInfo::getCTime — Gets the inode change time

### Description

public int SplFileInfo::getCTime ( void )

Returns the inode change time for the file. The time returned is a Unix timestamp.

### Parameters

This function has no parameters.

### Return Values

The last change time, in a Unix timestamp.

### Errors/Exceptions

Throws RunTimeException on error.

### Examples

Example #1 SplFileInfo::getCTime() example

`<?php
$info = new SplFileInfo(__FILE__);
echo 'Last changed at ' . date('g:i a', $info->getCTime());
?>`

The above example will output something similar to:

    Last changed at 1:49 pm

### See Also

- filectime() - Gets inode change time of file

SplFileInfo::getBasename
SplFileInfo::getFileInfo
SplFileInfo
PHP Manual